Bug 95331 - MAILMERGE (label sheets): problem with vertical alignment of content
Summary: MAILMERGE (label sheets): problem with vertical alignment of content
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.6.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 95917 (view as bug list)
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2015-10-26 17:34 UTC by sdsic
Modified: 2019-12-03 14:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screen capture (96.48 KB, application/vnd.oasis.opendocument.text)
2015-10-26 17:34 UTC, sdsic
Details
Test doc for non-mailmerge (17.29 KB, application/vnd.oasis.opendocument.text)
2016-10-05 23:30 UTC, Richie Frame
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sdsic 2015-10-26 17:34:41 UTC
Created attachment 119972 [details]
screen capture

The vertical alignement of the content is not conserved when generating labels.
How to reproduce the problem:

File>New>Labels
insert the label's text and the fields
Format: sheet A4
Brand: Avery A4, Type J8159 Address
Tab Options: Entire Sheet, Synchronize the content (box checked)
click on "New Document" button

Select first label (top left): red squares and then double click to open the frame window
Tab "Options": vertical alignement: Center then OK to close the window
Tool > Mailing
check: From this document
output: File, save as single document and then OK
save the merged document (eg Toto.odt)
open Toto.odt: the text of the labels is not centered, the alignement is a top alignement instead of the desired center alignement.

NB: The problem is the same with previous version LibreOffice 4.3.6.2
NB: attachment: screen capture
Comment 1 Buovjaga 2015-11-03 09:08:34 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 37d41674c2b1a706c95c2c326cbfbd06b0c1a655
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-02_00:13:27
Locale: fi-FI (fi_FI)
Comment 2 Buovjaga 2015-11-19 07:05:40 UTC
*** Bug 95917 has been marked as a duplicate of this bug. ***
Comment 4 Richie Frame 2016-10-05 23:30:52 UTC
Created attachment 127831 [details]
Test doc for non-mailmerge

I have run into this bug only after upgrading from the 4.4 branch to 5.2.

I am not using mailmerge, but am using a label template. I have 30 text boxes, all set to center vertical content alignment. The file is saved, closed, then opened. The top row is now top vertical content alignment.

I have attached the file I am working with,
Comment 5 QA Administrators 2017-10-23 14:13:14 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:50:27 UTC
Dear sdsic,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug